/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package Program2;

import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class VectorTest {

    Vector vector1 = new Vector(2, 3);
    Vector vector2 = new Vector(1, 2);
    int scalar = 3;
    

    @Test
    void sum() {
        assertEquals(new Vector(3, 5), Vector.sum(vector1, vector2));
    }

    @Test
    void subtraction() {
        assertEquals(new Vector(1, 1), Vector.subtraction(vector1, vector2));
    }

    @Test
    void multiplication() {
        assertEquals(new Vector(6, 9), Vector.multiplication(vector1, scalar));
    }

    @Test
    void division() {
        assertEquals(new Vector(0, 1), Vector.division(vector1, scalar));
    }
}
